package org.apache.commons.lang3.time;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.util.Calendar;
import org.apache.commons.lang3.time.FastDateParser;
import org.apache.commons.lang3.time.FastTimeZone;

class ISO8601TimeZoneStrategy extends FastDateParser.PatternStrategy {
  ISO8601TimeZoneStrategy(String pattern) {
    createPattern(pattern);
  }
  
  void setCalendar(FastDateParser parser, Calendar calendar, String value) {
    calendar.setTimeZone(FastTimeZone.getGmtTimeZone(value));
  }
  
  private static final FastDateParser.Strategy ISO_8601_1_STRATEGY = new ISO8601TimeZoneStrategy("(Z|(?:[+-]\\d{2}))");
  
  private static final FastDateParser.Strategy ISO_8601_2_STRATEGY = new ISO8601TimeZoneStrategy("(Z|(?:[+-]\\d{2}\\d{2}))");
  
  private static final FastDateParser.Strategy ISO_8601_3_STRATEGY = new ISO8601TimeZoneStrategy("(Z|(?:[+-]\\d{2}(?::)\\d{2}))");
  
  static FastDateParser.Strategy getStrategy(int tokenLen) {
    switch (tokenLen) {
      case 1:
        return ISO_8601_1_STRATEGY;
      case 2:
        return ISO_8601_2_STRATEGY;
      case 3:
        return ISO_8601_3_STRATEGY;
    } 
    throw new IllegalArgumentException("invalid number of X");
  }
}
